Retrieves the list of users in the given workspace
This operations retrieves the users in a workspace. Users sent envelopes or assigned tasks will automatically be added to the workspace with the Participate role.
Pagination is supported by passing start_position and count in the request. The response will include resultSetSize, start_position, and end_position which may be utilized for subsequent requests.
Required authentication scopes: dtr.rooms.read
Authentication
AuthorizationBearer
JWT Bearer token from Docusign authorization server
Path parameters
accountId
The ID of the account
workspaceId
The ID of the workspace
Query parameters
count
Number of workspace users to return. Defaults to the maximum which is 100.
start_position
Position of the first item in the total results. Defaults to 0.
filter
Returns workspace users filtered by Name and Email
sort
Sorts results. Options are first_name_asc, first_name_desc, last_name_asc, last_name_desc, email_asc, email_desc. Defaults to last_name_desc
Response
The workspace user was successfully retrieved
users
The user summary list. Includes the ID, name, and metadata such as the role ID and role name
result_set_size
The number of users returned in the response. Always equal or less than the count of the request
start_position
Position of the first item in the total results
end_position
Position of the last item in the total results
total_row_count
The total number of users in the workspace applicable to the request regardless of pagination. It may not always be computed
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error